
QGIS Application - Bug report #10718

Qgis 2.3 crashes when trying to query a 4000 list of objects

2014-06-25 06:40 AM - baditaflorin -

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19106

Description

i know this is the most inefficient way to query for 4000 objects,but i don`t know how to search better

The query that i try to do is like this, but with 4048 objects

"objectid" = 198396 OR 

"objectid" = 198380 OR 

"objectid" = 198377 OR 

"objectid" = 198370 OR

I have attached the query file

History

#1 - 2014-06-25 12:00 PM - Giovanni Manghi

- Status changed from Open to Feedback

On Linux does not crash, but it freezes... but considered that something like

100  <= "osm_id"  <=  198396

works with no issues, I would consider this a (so) edge case that I suggest to close this ticket as invalid.

#2 - 2014-06-27 10:15 AM - baditaflorin -

- Status changed from Feedback to Closed

closed because nomebody will need to do this

Files

query4000.txt 97.2 KB 2014-06-25 baditaflorin -
